summaryrefslogtreecommitdiffstats
path: root/source/ap/madplay
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/madplay')
-rw-r--r--source/ap/madplay/madplay-0.15.2b.tar.gz.sign7
-rwxr-xr-xsource/ap/madplay/madplay.SlackBuild79
-rw-r--r--source/ap/madplay/slack-desc19
3 files changed, 105 insertions, 0 deletions
diff --git a/source/ap/madplay/madplay-0.15.2b.tar.gz.sign b/source/ap/madplay/madplay-0.15.2b.tar.gz.sign
new file mode 100644
index 000000000..d8c15332c
--- /dev/null
+++ b/source/ap/madplay/madplay-0.15.2b.tar.gz.sign
@@ -0,0 +1,7 @@
+-----BEGIN PGP SIGNATURE-----
+Version: PGP 8.0.3
+
+iQA/AwUAQDp66/bzO6Ks1lsyEQLXKQCgnwZnv72//lWsJH+UY3D3xwfUImwAoPnD
+P15yJQ90MlTFmgFneRs8Kscq
+=Iwpu
+-----END PGP SIGNATURE-----
diff --git a/source/ap/madplay/madplay.SlackBuild b/source/ap/madplay/madplay.SlackBuild
new file mode 100755
index 000000000..fb322c834
--- /dev/null
+++ b/source/ap/madplay/madplay.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=0.15.2b
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-2}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-madplay
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf madplay-$VERSION
+tar xvf $CWD/madplay-$VERSION.tar.gz || exit 1
+cd madplay-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-alsa \
+ --disable-debugging \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+gzip -9 $PKG/usr/man/man1/*
+
+mkdir -p $PKG/usr/doc/madplay-$VERSION
+cp -a \
+ CHANGES COPYING COPYRIGHT CREDITS README TODO VERSION \
+ $PKG/usr/doc/madplay-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/madplay-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/madplay/slack-desc b/source/ap/madplay/slack-desc
new file mode 100644
index 000000000..ff1dcb292
--- /dev/null
+++ b/source/ap/madplay/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+madplay: madplay (MPEG audio decoder and player)
+madplay:
+madplay: madplay is a command-line MPEG audio decoder and player based on the
+madplay: MAD library (libmad). For details about MAD, see the libmad package
+madplay: distributed separately.
+madplay:
+madplay: madplay was written by Robert Leslie.
+madplay:
+madplay:
+madplay:
+madplay: